> This page is for version Generative (default).
> For other versions, use one of these documentation indexes:
> - Generative (default): https://developers.ada.cx/generative/llms.txt
> - Scripted: https://developers.ada.cx/scripted/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.ada.cx/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.ada.cx/_mcp/server.

# Create an integration

POST https://example.ada.support/api/v2/platform-integrations/
Content-Type: application/json

Create an integration. Integrations are created in `development` status by default.

Reference: https://developers.ada.cx/reference/integrations/create-platform-integration

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects a PlatformIntegrationCreateRequest.

- `identifier_field_path` (string, required) — JMESPath describing which of the fields in `configuration_fields` is the best human-friendly field to use to identify a specific installation (e.g., account name)
- `author` (string, optional) — The name of the integration developer
- `call_to_action` (string, optional) — The call to action text
- `configuration_fields` (IntegrationCommonFieldsConfigurationFields, optional) — A json-schema describing the settings fields that a user should be presented with when installing the integration
- `contact` (string, optional) — The URL or email address where users of the integration can reach out for support
- `description` (string, optional) — A description of what the integration does and how to use it
- `error_codes` (IntegrationCommonFieldsErrorCodes, optional) — An object containing error codes and their corresponding error message the integration may return to the OAuth failure page to be displayed
- `name` (string, optional) — The name of the integration
- `oauth_callback_url` (string, optional) — The `get` endpoint that will be invoked after OAuth authorization
- `scopes` (list of string, optional) — The list of OAuth token permissions the integration requests when installed
- `tags` (list of enum, optional) — A list of tags that describe the type of integration
  - Allowed values: `knowledge`
- `uninstallation_url` (string, optional) — The `delete` endpoint that initiates the uninstallation flow for the integration

## Response

### 200

Platform integration created

- `client_secret` (string, required) — The OAuth client secret for the integration
- `id` (string, required) — The unique identifier for the integration
- `identifier_field_path` (string, required) — JMESPath describing which of the fields in `configuration_fields` is the best human-friendly field to use to identify a specific installation (e.g., account name)
- `status` (string, required) — The current state of the integration (development, approved, archived)
- `author` (string, optional) — The name of the integration developer
- `call_to_action` (string, optional) — The call to action text
- `configuration_fields` (IntegrationCommonFieldsConfigurationFields, optional) — A json-schema describing the settings fields that a user should be presented with when installing the integration
- `contact` (string, optional) — The URL or email address where users of the integration can reach out for support
- `created` (string, optional) — The date the integration was created
- `description` (string, optional) — A description of what the integration does and how to use it
- `error_codes` (IntegrationCommonFieldsErrorCodes, optional) — An object containing error codes and their corresponding error message the integration may return to the OAuth failure page to be displayed
- `name` (string, optional) — The name of the integration
- `oauth_callback_url` (string, optional) — The `get` endpoint that will be invoked after OAuth authorization
- `scopes` (list of string, optional) — The list of OAuth token permissions the integration requests when installed
- `tags` (list of enum, optional) — A list of tags that describe the type of integration
  - Allowed values: `knowledge`
- `uninstallation_url` (string, optional) — The `delete` endpoint that initiates the uninstallation flow for the integration
- `updated` (string, optional) — The date the integration was last updated

## Types

### IntegrationCommonFieldsConfigurationFields

A json-schema describing the settings fields that a user should be presented with when installing the integration

### IntegrationCommonFieldsErrorCodes

An object containing error codes and their corresponding error message the integration may return to the OAuth failure page to be displayed

## Examples

**Request**

```json
{
  "identifier_field_path": "credentials.knowledgeHubUrl"
}
```

**Response**

```json
{
  "client_secret": "a4a908jgf9a8gh9a",
  "id": "5df263b7db5a7e6ea03fae9b",
  "identifier_field_path": "credentials.knowledgeHubUrl",
  "status": "development",
  "call_to_action": "Connect to Cool Shop Knowledge Hub",
  "created": "2020-09-20T00:00:00+00:00",
  "updated": "2020-09-20T00:00:00+00:00"
}
```

**SDK Code**

```python 
import requests

url = "https://example.ada.support/api/v2/platform-integrations/"

payload = { "identifier_field_path": "credentials.knowledgeHubUrl" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript 
const url = 'https://example.ada.support/api/v2/platform-integrations/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"identifier_field_path":"credentials.knowledgeHubUrl"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go 
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://example.ada.support/api/v2/platform-integrations/"

	payload := strings.NewReader("{\n  \"identifier_field_path\": \"credentials.knowledgeHubUrl\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby 
require 'uri'
require 'net/http'

url = URI("https://example.ada.support/api/v2/platform-integrations/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"identifier_field_path\": \"credentials.knowledgeHubUrl\"\n}"

response = http.request(request)
puts response.read_body
```

```java 
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://example.ada.support/api/v2/platform-integrations/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"identifier_field_path\": \"credentials.knowledgeHubUrl\"\n}")
  .asString();
```

```php 
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://example.ada.support/api/v2/platform-integrations/', [
  'body' => '{
  "identifier_field_path": "credentials.knowledgeHubUrl"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp 
using RestSharp;

var client = new RestClient("https://example.ada.support/api/v2/platform-integrations/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"identifier_field_path\": \"credentials.knowledgeHubUrl\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift 
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["identifier_field_path": "credentials.knowledgeHubUrl"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://example.ada.support/api/v2/platform-integrations/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```